QGIS Application - Bug report #18485

Recent Projects startup screen truncates filenames containing periods

2018-03-20 04:27 AM - Patrick Dunford

Status: Reopened

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.3(master)
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 26373

Description

If a project filename contains periods, the filename is truncated at the first period when displayed in the Recent Projects startup screen.

The code should truncate the filename at the last period, not the first one.

Associated revisions

Revision 7ece90cb - 2018-07-09 09:39 AM - Salvatore Larosa

Fixes #18485 - do not truncate project title if filename contains period
also add a small test

Revision d064086f - 2018-07-09 01:04 PM - Salvatore Larosa

Fixes #18485 - do not truncate project title if filename contains period
also add a small test

Revision ¢c4b91068 - 2018-07-09 06:19 PM - Matthias Kuhn

Merge pull request #7380 from slarosa/fix_18485

Fixes #18485 - do not truncate project title if filename contains period

Revision 9e63678b - 2018-07-09 08:50 PM - Salvatore Larosa

Merge pull request #7381 from slarosa/backport_fix_18485

[BACKPORT] Fixes #18485 - do not truncate project title if filename contains period

History

#1 - 2018-03-20 07:48 AM - Nyall Dawson

Seems already fixed in 3.0

#2 - 2018-07-07 12:14 PM - Patrick Dunford
| just noticed this happening again in the latest development master 05368e4

Project filename is 0s3.0.3.f.qgs and is displayed as 0s3

#3 - 2018-07-08 10:41 PM - Salvatore Larosa

- Affected QGIS version changed from 2.18.17 to 3.3(master)

#4 - 2018-07-08 10:41 PM - Salvatore Larosa
- Operating System deleted (Debian 9.3)

#5 - 2018-07-09 09:43 AM - Salvatore Larosa
- Pull Request or Patch supplied changed from No to Yes

PR - https://github.com/qgis/QGIS/pull/7380

#6 - 2018-07-09 12:05 PM - Patrick Dunford

The issue also affects the title bar caption in Qgis 3.3

#7 - 2018-07-09 06:18 PM - Salvatore Larosa
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|7ece90cb9552a5f217b02490f78aee74d14713da.

#8 - 2018-07-11 07:38 PM - Patrick Dunford
- File Screenshot_2018-07-12_05-35-53.png added
- Status changed from Closed to Reopened

Still see the issue, somehow only partly addressed?

#9 - 2018-07-11 07:42 PM - Patrick Dunford
- File config.tar.gz added

attached config for testing

Files

Screenshot_2018-03-20_16-24-17.png 198 KB 2018-03-20 Patrick Dunford
Screenshot_2018-07-12_05-35-53.png 99.2 KB 2018-07-11 Patrick Dunford
config.tar.gz 106 KB 2018-07-11 Patrick Dunford
https://github.com/qgis/QGIS/pull/7380

